package gmt.protocol.ext.VO;

import java.util.ArrayList;
import java.util.List;

public class ExtMsg_RPC03VO {
	private String msg;
	private String packetType; 
	private int requester;                       //운영국 AIM(0), 해수부상황실 AIM(1)
	private List<Integer> RPCCommandList;        //주->예비전환(0), 예비->주전환(1), 주 재구동(3), 예비 재구동(4) 
	private String remark;

	public ExtMsg_RPC03VO() {
		this.msg = "";
		this.packetType = "";
		this.requester = -1;
		this.RPCCommandList = new ArrayList<Integer>();
		this.remark = "";
	}
	public String getMsg() {
		return msg;
	}
	public void setMsg(String msg) {
		this.msg = msg;
	}
	public String getPacketType() {
		return packetType;
	}
	public void setPacketType(String packetType) {
		this.packetType = packetType;
	}	
	public int getRequester() {
		return requester;
	}
	public void setRequester(int requester) {
		this.requester = requester;
	}	
	public List<Integer> getRPCCommandList() {
		return RPCCommandList;
	}
	public int getRPCCommandItem(int index) {
		int result = -99;
		
		if (this.RPCCommandList == null) {return result;}
		
		if (this.RPCCommandList.size() <= index) {return result;}
		
		result = this.RPCCommandList.get(index);		
		
		return result;			
	}	
	
	public void ClearList() {
		if (this.RPCCommandList != null)
			this.RPCCommandList.clear();
	}
	public void addList(int RPCCommand) {
		if (this.RPCCommandList != null)
			this.RPCCommandList.add(RPCCommand);
	}
   //{TODO : RPCCommandList 핸들링 밥법 결정 후 작업 진행}
	
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}		
}
